/*
 * Class RTF_FORMAT_I
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_345 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_345 [] = {0xFF01,1551,344,0xFFFF};
static const EIF_TYPE_INDEX egt_2_345 [] = {0xFF01,344,0xFFFF};
static const EIF_TYPE_INDEX egt_3_345 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_345 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_345 [] = {0xFF01,344,0xFFFF};
static const EIF_TYPE_INDEX egt_6_345 [] = {0xFF01,344,0xFFFF};
static const EIF_TYPE_INDEX egt_7_345 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_345 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_345 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_345 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_345 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_345 [] = {0xFF01,344,0xFFFF};
static const EIF_TYPE_INDEX egt_13_345 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_14_345 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_15_345 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_16_345 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_17_345 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_345[] = {
	{EIF_GENERIC(NULL), 6407, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_345), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_345), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_345), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_345), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_345), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_345), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_345), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_345), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_345), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_345), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_345), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_345), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6408, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x02B1 /*344*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_345), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6369, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6370, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6371, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6372, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6373, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6374, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6375, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6365, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6366, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6367, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6368, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6409, 16},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6410, 8},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6411, 20},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6412, 9},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6413, 10},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6414, 11},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6415, 12},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6416, 13},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6376, 24},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6377, 28},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6378, 32},
	{EIF_GENERIC(egt_13_345), 6379, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_345), 6380, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_345), 6381, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_345), 6382, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6383, 36},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6384, 40},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6385, 44},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6386, 48},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6387, 52},
	{EIF_GENERIC(NULL), 6388, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_345), 6389, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6390, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6391, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6392, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6393, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6394, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6395, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6396, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6397, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6398, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6399, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6400, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6401, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6402, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6403, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 6404, 0},
	{EIF_NON_GENERIC(0x0725 /*914*/), 6405, 4},
	{EIF_GENERIC(NULL), 6406, 0xFFFFFFFF},
};
void Init345(void)
{
	IDSC(desc_345, 0, 344);
	IDSC(desc_345 + 1, 1, 344);
	IDSC(desc_345 + 32, 1384, 344);
	IDSC(desc_345 + 43, 222, 344);
}


#ifdef __cplusplus
}
#endif
